package Msg

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/msg"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /msg/list Msg GetMsgList
//
// Get msg list | 获取Msg列表
//
// Get msg list | 获取Msg列表
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: MsgListReq
//
// Responses:
//  200: MsgListResp

func GetMsgListHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.MsgListReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := Msg.NewGetMsgListLogic(r.Context(), svcCtx)
		resp, err := l.GetMsgList(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
